function [yEmp, yEmpl] = ApplyLocalNeighborhoodSuppression(yEmp, yEmpl)
Max1 = maxfilter(yEmp,1);
f = find(Max1(:) ~= yEmp(:));
m = min(min(yEmp));
yEmp(f) = m;

if (nargin > 1)
  yEmpl = im2double(yEmpl);
  yEmpl(f) = -1;
end
